Subject: bug#30539: 26.0; `char-displayable-p' is much slower in Emacs 25 and 26

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Feb 2018 09:14:39 +0200

> Date: Thu, 22 Feb 2018 20:07:09 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Another question is whether this bug should/will affect all
> > > users or only some?  If the latter then I can let users
> > > decide whether to test `char-displayable-p' (I have an
> > > option for that anyway) or whether to bind
> > > `inhibit-compacting-font-caches to `t'.  If only some users
> > > are affected by the bug, do we know why?  Does it have to
> > > do with the fonts they have installed, for example?
> > 
> > Well, as I mentioned, I don't see it on my GNU/Linux box, so it's not
> > universal.  I would guess the fonts installed is the main factor.
> 
> I googled a bit for that variable, and there are a bunch of
> Emacs bugs and other posts about it.  Seems like (to be
> confirmed) it is a problem only for MS Windows (?), and
> maybe only for TrueType fonts (?).

AFAIR, this isn't seen only on Windows.  And yes, only some fonts need
this, if you have them installed.